Get a project
GET
/v1/projects/{projectId}curl -X GET 'https://api.embodiflow.io/v1/projects/{projectId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- slugstring必填
- namestring必填
- descriptionstring | null必填
- visibilitystring必填
- statusstring必填
- isSampleone of必填
- dataKindstring必填可选值humanrobotvideo
- dataFormatstring | null
- robotTypestring | null必填
- defaultFpsnumber | null必填
- defaultTaskstring | null必填
- requiresSegmentationone of必填
- lastAccessedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- processingobject
- teamRuntimeobject
- handlestring
- refstring
- urlstring
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"slug": "string",
"name": "string",
"description": "string",
"visibility": "string",
"status": "string",
"isSample": false,
"dataKind": "human",
"dataFormat": "string",
"robotType": "string",
"defaultFps": 0,
"defaultTask": "string",
"requiresSegmentation": false,
"lastAccessedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"processing": {
"state": "not_applicable",
"code": "PROJECT_PROCESSING_UNAVAILABLE",
"templateCode": "robot-standard",
"reason": "algorithms_missing",
"missingAlgorithms": [
"string"
]
},
"teamRuntime": {
"state": "ready"
},
"handle": "string",
"ref": "string",
"url": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1